Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

List all units with the given IDs.

List all units with the given IDs. Get organizational units by ids.

Security: Any user holding a Bpanda licence for the process space.

POST/v1/warehouses/{warehouseId}/orgstructure/units/byids
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Request-Body
erforderlichapplication/json

IDs of the orgs

idsstring[]erforderlich
Antworten
200

The available orgs.

Array von OrgUnit
breadcrumbsBreadcrumb[]erforderlich
Eigenschaften anzeigen
Array von Breadcrumb
idstringerforderlich
namestringerforderlich
deputystring[]erforderlich
descriptionLocalizedFormattedText[]erforderlich
Eigenschaften anzeigen
Array von LocalizedFormattedText
formatTextFormaterforderlich
Erlaubt:BBCodeHTMLPlainText
textLocalizedStringerforderlich
Eigenschaften anzeigen
translationsStringTranslation[]erforderlich
valuestring
explicitRoleIdsstring[]erforderlich
externalbooleanerforderlich
idstring
membersstring[]erforderlich
parentIdstring
responsiblestring[]erforderlich
titleLocalizedStringerforderlich
Eigenschaften anzeigen
translationsStringTranslation[]erforderlich
Eigenschaften anzeigen
Array von StringTranslation
languagestringerforderlich
valuestring
valuestring
typestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X POST 'https://goto.bpanda.com/api/v1/warehouses/string/orgstructure/units/byids' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
Antwort
[
  {
    "breadcrumbs": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "deputy": [
      "string"
    ],
    "description": [
      {
        "format": "BBCode",
        "text": {
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ],
          "value": "string"
        }
      }
    ],
    "explicitRoleIds": [
      "string"
    ],
    "external": true,
    "id": "string",
    "members": [
      "string"
    ],
    "parentId": "string",
    "responsible": [
      "string"
    ],
    "title": {
      "translations": [
        {
          "language": "string",
          "value": "string"
        }
      ],
      "value": "string"
    },
    "type": "string"
  }
]